<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
			<title>UXfol Contacts demo</title>
	</head>
	<body>
		<h2>Add contact</h2>
		<form action="#" th:action="@{/web/contacts}" th:object="${contactDTO}" th:method="${contactDTO.id} != null ? PUT : POST">
			<input type="hidden" th:field="*{id}" id="id" />
			<label for="name">Name</label>
			<input type="text" th:field="*{name}" id="name" placeholder="Name">
			<br>
			<label for="email">Email</label>
			<input type="text" th:field="*{email}" id="email" placeholder="Email">
			<br>
			<label for="email">Phone</label>
			<input type="text" th:field="*{phone}" id="phone" placeholder="Phone number">
			<input type="submit" th:value="${contactDTO.id} != null ? 'Update contact' : 'Add contact'">   
			<br>
		</form>
		<div th:switch="${contacts}">
			<h2 th:case="null">No contacts yet!</h2>
			<div th:case="*">
			<h2>Contacts</h2>
			<table class="mytable">
				<thead>
					<tr>
						<th>Name</th>
						<th>Email</th>
						<th>Phone</th>
						<th>Edit</th>
						<th>Delete</th>
					</tr>
				</thead>
				<tbody>
					<tr th:each="contact : ${contacts}">
						<td th:text="${contact.name}"></td>
						<td th:text="${contact.email}"></td>
						<td th:text="${contact.phone}"></td>
						<td><a th:href="@{http://localhost:8080/web/contacts/{id}(id=${contact.id})}">Edit</a></td>
						<td><a th:href="@{http://localhost:8080/web/contacts/delete/{id}(id=${contact.id})}">Delete</a></td>
					</tr>
				</tbody>
			</table>
		</div>      
	</div>
		<BR/>
		
	</body>
</html>